using InABox.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Database
{
    public class GlobalSecurityTokenStore : Store<GlobalSecurityToken>
    {
        protected override void OnDelete(GlobalSecurityToken entity)
        {
            Provider.Purge(entity);
        }

        protected override void OnDelete(IEnumerable<GlobalSecurityToken> entities)
        {
            Provider.Purge(entities);
        }
    }
}
